# Method: advertisers.manualTriggers.patch

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers/patch#try-it)

Updates a manual trigger. Returns the updated manual trigger if successful.

**Warning:** Line Items using manual triggers no longer serve in Display \& Video 360. This method will sunset on August 1, 2023. Read our [feature deprecation announcement](https://developers.google.com/display-video/api/deprecations#features.manual_triggers) for more information.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v2/advertisers/{manualTrigger.advertiserId}/manualTriggers/{manualTrigger.triggerId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `manualTrigger.advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Immutable. The unique ID of the advertiser that the manual trigger belongs to. |
| `manualTrigger.triggerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the manual trigger. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers#ManualTrigger`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers#ManualTrigger`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).